> ## Documentation Index
> Fetch the complete documentation index at: https://help.mytruv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Liabilities

> Get aggregated liabilities (v2, ClickHouse-backed).

Reads from ClickHouse instead of Core API for improved performance.



## OpenAPI

````yaml GET /v2/links/liabilities
openapi: 3.1.0
info:
  title: Truv Public API
  description: >
    Read-only API for personal access token (PAT) users.


    ## Authentication


    Authenticate with `Authorization: Bearer <token>`. Tokens have a `pat_`
    prefix

    and are generated in the Truv web app under Settings → API keys.


    ## Available Endpoints


    This API exposes a subset of read-only endpoints for retrieving financial
    data,

    account links, and user profile information.
  version: 1.0.0
servers:
  - url: https://api.mytruv.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: users
    description: User profile — read-only access to the authenticated user's profile.
  - name: financial-data
    description: >-
      Financial data — balances, transactions, income, spending, liabilities,
      and balance history.
  - name: links
    description: >-
      Account links — list connected financial institutions and payroll
      providers.
paths:
  /v2/links/liabilities:
    get:
      tags:
        - financial-data
      summary: Get Links Liabilities V2
      description: |-
        Get aggregated liabilities (v2, ClickHouse-backed).

        Reads from ClickHouse instead of Core API for improved performance.
      operationId: getAggregatedLiabilitiesV2
      responses:
        '200':
          description: Credit and loan liabilities (v2, ClickHouse-backed).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LiabilitiesResponse'
components:
  schemas:
    LiabilitiesResponse:
      properties:
        accounts:
          items:
            $ref: '#/components/schemas/Account1'
          type: array
          title: Accounts
        liabilities:
          $ref: '#/components/schemas/LiabilitiesData'
      additionalProperties: true
      type: object
      required:
        - accounts
        - liabilities
      title: LiabilitiesResponse
    Account1:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          examples:
            - 24d7e80942ce4ad58a93f70ce4115f5c
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          examples:
            - '2022-05-04T11:30:00Z'
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          examples:
            - '2022-05-04T12:00:00Z'
        type:
          $ref: '#/components/schemas/Type4'
          examples:
            - CHECKING
        subtype:
          anyOf:
            - $ref: '#/components/schemas/Subtype1'
            - type: 'null'
          examples:
            - MONEY_MARKET
        mask:
          anyOf:
            - type: string
            - type: 'null'
          title: Mask
          examples:
            - '6789'
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
          examples:
            - My account
        balances:
          $ref: '#/components/schemas/AccountBalances'
      additionalProperties: true
      type: object
      required:
        - type
        - balances
      title: Account1
    LiabilitiesData:
      properties:
        credit:
          anyOf:
            - items:
                $ref: '#/components/schemas/CreditLiability'
              type: array
            - type: 'null'
          title: Credit
        loans:
          anyOf:
            - items:
                $ref: '#/components/schemas/LoanLiability'
              type: array
            - type: 'null'
          title: Loans
      additionalProperties: true
      type: object
      title: LiabilitiesData
    Type4:
      type: string
      enum:
        - CHECKING
        - SAVINGS
        - LOAN
        - CREDIT_CARD
        - INVESTMENT
        - LINE_OF_CREDIT
        - MORTGAGE
        - PROPERTY
        - CASH
        - INSURANCE
        - PREPAID
        - CHECKING_LINE_OF_CREDIT
        - ANY
      title: Type4
      description: The account's type
    Subtype1:
      type: string
      enum:
        - MONEY_MARKET
        - CERTIFICATE_OF_DEPOSIT
        - AUTO
        - STUDENT
        - SMALL_BUSINESS
        - PERSONAL
        - PERSONAL_WITH_COLLATERAL
        - HOME_EQUITY
        - BOAT
        - POWERSPORTS
        - RV
        - HELOC
        - PLAN_401_K
        - PLAN_403_B
        - PLAN_529
        - IRA
        - ROLLOVER_IRA
        - ROTH_IRA
        - TAXABLE
        - NON_TAXABLE
        - BROKERAGE
        - TRUST
        - UNIFORM_GIFTS_TO_MINORS_ACT
        - PLAN_457
        - PENSION
        - EMPLOYEE_STOCK_OWNERSHIP_PLAN
        - SIMPLIFIED_EMPLOYEE_PENSION
        - SIMPLE_IRA
        - PLAN_ROTH_401_K
        - FIXED_ANNUITY
        - VARIABLE_ANNUITY
        - HSA
        - TAX_FREE_SAVINGS_ACCOUNT
        - INDIVIDUAL
        - REGISTERED_RETIREMENT_INCOME_FUND
        - CASH_MANAGEMENT_ACCOUNT
        - EMPLOYEE_STOCK_PURCHASE_PLAN
        - REGISTERED_EDUCATION_SAVINGS_PLAN
        - PROFIT_SHARING_PLAN
        - UNIFORM_TRANSFER_TO_MINORS_ACT
        - PLAN_401_A
        - SARSEP_IRA
        - FIXED_ANNUITY_TRADITIONAL_IRA
        - VARIABLE_ANNUITY_TRADITIONAL_IRA
        - SEPP_IRA
        - INHERITED_TRADITIONAL_IRA
        - FIXED_ANNUITY_ROTH_IRA
        - VARIABLE_ANNUITY_ROTH_IRA
        - INHERITED_ROTH_IRA
        - COVERDELL
        - ADVISORY_ACCOUNT
        - BROKERAGE_MARGIN
        - CHARITABLE_GIFT_ACCOUNT
        - CHURCH_ACCOUNT
        - CONSERVATORSHIP
        - CUSTODIAL
        - DEFINED_BENEFIT_PLAN
        - DEFINED_CONTRIBUTION_PLAN
        - EDUCATIONAL
        - ESTATE
        - EXECUTOR
        - GROUP_RETIREMENT_SAVINGS_PLAN
        - GUARANTEED_INVESTMENT_CERTIFICATE
        - HRA
        - INDEXED_ANNUITY
        - INVESTMENT_CLUB
        - IRREVOCABLE_TRUST
        - JOINT_TENANTS_BY_ENTIRITY
        - JOINT_TENANTS_COMMUNITY_PROPERTY
        - JOINT_TENANTS_IN_COMMON
        - JOINT_TENANTS_WITH_RIGHTS_OF_SURVIVORSHIP
        - KEOUGH_PLAN
        - LIFE_INCOME_FUND
        - LIVING_TRUST
        - LOCKED_IN_RETIREMENT_ACCOUNT
        - LOCKED_IN_RETIREMENT_INVESTMENT_FUND
        - LOCKED_IN_RETIREMENT_SAVINGS_ACCOUNT
        - MONEY_PURCHASE_PLAN
        - PARTNERSHIP
        - PLAN_409_A
        - PLAN_ROTH_403_B
        - REGISTERED_DISABILITY_SAVINGS_PLAN
        - REGISTERED_LOCKED_IN_SAVINGS_PLAN
        - REGISTERED_PENSION_PLAN
        - REGISTERED_RETIREMENT_SAVINGS_PLAN
        - REVOCABLE_TRUST
        - ROTH_CONVERSION
        - SOLE_PROPRIETORSHIP
        - SPOUSAL_IRA
        - SPOUSAL_ROTH_IRA
        - TESTAMENTARY_TRUST
        - THRIFT_SAVINGS_PLAN
        - INHERITED_ANNUITY
        - CORPORATE_ACCOUNT
        - LIMITED_LIABILITY_ACCOUNT
        - VEHICLE_INSURANCE
        - DISABILITY
        - HEALTH
        - LONG_TERM_CARE
        - PROPERTY_AND_CASUALTY
        - UNIVERSAL_LIFE
        - TERM_LIFE
        - WHOLE_LIFE
        - ACCIDENTAL_DEATH_AND_DISMEMBERMENT
        - VARIABLE_UNIVERSAL_LIFE
        - ROTH
        - ROLLOVER
        - OTHER
        - ANNUITY
        - TRANSFERRABLE_ON_DEATH
      title: Subtype1
      description: The account’s subtype
    AccountBalances:
      properties:
        currency_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency Code
          examples:
            - USD
        balance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Balance
          examples:
            - '100.00'
        available_balance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Available Balance
          examples:
            - '50.99'
        credit_limit:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Credit Limit
          examples:
            - '200.00'
      additionalProperties: true
      type: object
      title: AccountBalances
    CreditLiability:
      properties:
        account_id:
          type: string
          title: Account Id
          examples:
            - 68a7e80942ce4ad58a93f70ce411549a
        advances_apr:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Advances Apr
          examples:
            - '29.24'
        purchases_apr:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Purchases Apr
          examples:
            - '23.49'
        available_cash:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Available Cash
          examples:
            - '92.00'
        available_credit:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Available Credit
          examples:
            - '92.00'
        balance_as_of:
          type: string
          format: date-time
          title: Balance As Of
          examples:
            - '2025-08-18T01:01:11Z'
        credit_line:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Credit Line
          examples:
            - '2500.00'
        current_balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Current Balance
          examples:
            - '2407.16'
        last_payment_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Last Payment Amount
          examples:
            - '300.00'
        last_payment_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Last Payment Date
          examples:
            - '2025-08-13'
        last_stmt_balance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Last Stmt Balance
          examples:
            - '1591.40'
        last_stmt_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Last Stmt Date
          examples:
            - '2025-08-01'
        minimum_payment_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Minimum Payment Amount
          examples:
            - '0.00'
        next_payment_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Next Payment Amount
          examples:
            - '0.00'
        next_payment_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Next Payment Date
          examples:
            - '2025-08-23'
        past_due_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Past Due Amount
          examples:
            - '0.00'
      additionalProperties: true
      type: object
      required:
        - account_id
        - balance_as_of
        - current_balance
      title: CreditLiability
    LoanLiability:
      properties:
        account_id:
          type: string
          title: Account Id
          examples:
            - 24d7e80942ce4ad58a93f70ce4115f5c
        balance_as_of:
          type: string
          format: date-time
          title: Balance As Of
          examples:
            - '2025-08-18T01:01:11Z'
        escrow_balance:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Escrow Balance
          examples:
            - '4611.98'
        interest_paid_year_to_date:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Interest Paid Year To Date
          examples:
            - '2535.26'
        interest_rate:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Interest Rate
          examples:
            - '15.69'
        interest_rate_as_of:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Interest Rate As Of
          examples:
            - '2025-08-18'
        last_payment_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Last Payment Amount
          examples:
            - '850.44'
        last_payment_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Last Payment Date
          examples:
            - '2025-08-16'
        loan_term:
          anyOf:
            - type: integer
            - type: 'null'
          title: Loan Term
          examples:
            - 60
        maturity_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Maturity Date
          examples:
            - '2028-10-17'
        next_payment_amount:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Next Payment Amount
          examples:
            - '850.44'
        next_payment_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Next Payment Date
          examples:
            - '2025-08-17'
        original_principal:
          anyOf:
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Original Principal
          examples:
            - '35000.00'
        principal_balance:
          type: string
          pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Principal Balance
          examples:
            - '25843.58'
      additionalProperties: true
      type: object
      required:
        - account_id
        - balance_as_of
        - principal_balance
      title: LoanLiability
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PAT
      description: >-
        Bearer authentication with a personal access token (prefix `pat_`).
        Generate tokens in the Truv web app under Settings → API keys.

````